Bug 1862919

Summary: Review Request: R-isoband - Generate Isolines and Isobands from Regularly Spaced Elevation Grids
Product: [Fedora] Fedora Reporter: Elliott Sales de Andrade <quantum.analyst>
Component: Package ReviewAssignee: José Matos <jamatos>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: jamatos, package-review
Target Milestone: ---Flags: jamatos: fedora-review+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-08-17 01:07:42 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1810676    

Description Elliott Sales de Andrade 2020-08-03 08:34:00 UTC
Spec URL: https://qulogic.fedorapeople.org/reviews/R-isoband/R-isoband.spec
SRPM URL: https://qulogic.fedorapeople.org/reviews/R-isoband/R-isoband-0.2.2-1.fc31~bootstrap.src.rpm

Description:
A fast C++ implementation to generate contour lines (isolines) and contour
polygons (isobands) from regularly spaced grids containing elevation data.

Comment 1 Elliott Sales de Andrade 2020-08-03 08:46:59 UTC
I accidentally skipped the scratch build; this may not pass:
https://koji.fedoraproject.org/koji/taskinfo?taskID=48493633

Comment 2 José Matos 2020-08-05 21:31:50 UTC
(In reply to Elliott Sales de Andrade from comment #1)
> I accidentally skipped the scratch build; this may not pass:

I am sorry to disappoint you but it passes. :-)

fedora-review has the usual complaints

- Package have the default element marked as %%doc :doc, DESCRIPTION
- Package requires R-core.
- If your application is a C or C++ application you must list a
  BuildRequires against gcc, gcc-c++ or clang.
  Note: No gcc, gcc-c++ or clang found in BuildRequires
  See: https://docs.fedoraproject.org/en-US/packaging-guidelines/C_and_C++/

those can and should be ignored.

The license is correct and the spec is well written and follows the Fedora
packaging guidelines.

So the package is approved.

Comment 3 Gwyn Ciesla 2020-08-06 12:25:19 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/R-isoband

Comment 4 Fedora Update System 2020-08-09 00:01:15 UTC
FEDORA-2020-ef7a40cb56 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-ef7a40cb56

Comment 5 Fedora Update System 2020-08-09 00:01:33 UTC
FEDORA-2020-2da1535d11 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-2da1535d11

Comment 6 Fedora Update System 2020-08-09 03:01:37 UTC
FEDORA-2020-2da1535d11 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-2da1535d11 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-2da1535d11

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-08-09 03:47:53 UTC
FEDORA-2020-ef7a40cb56 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-ef7a40cb56 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-ef7a40cb56

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-08-17 01:07:42 UTC
FEDORA-2020-2da1535d11 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2020-08-17 01:13:49 UTC
FEDORA-2020-ef7a40cb56 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.